### cancel_at_timer

A completion token adapter that cancels an operation at a given time.

    template<
        typename CompletionToken,
        typename Clock,
        typename WaitTraits = asio::wait_traits<Clock>,
        typename Executor = any_io_executor>
    class cancel_at_timer

##### Member Functions

Name | Description
--- | ---
cancel_at_timer [constructor] | Constructor.

##### Data Members

Name | Description
--- | ---
cancel_type_ |
expiry_ |
timer_ |
token_ |

The `cancel_at_timer` class is used to indicate that an asynchronous operation should be cancelled if not complete at the specified absolute time.

##### Requirements

Header: `asio/cancel_at.hpp`

Convenience header: `asio.hpp`